Conserve Installation

nixargh edited this page Aug 5, 2013 · 13 revisions

Conserve Requirements:

  • Ruby version 1.8.7 or newer required.
  • Required utilities
    rsync not included, but you should install it if you want to use this function.

Requirements Installation at:

  1. Ubuntu 12.04
  2. SUSE Linux Enterprise Server 11 sp.2
  3. Oracle Enterprise Linux 6.3
  4. Red Hat Enterprise Linux 6.4
  5. Debian GNU/Linux 7.1 (wheezy)

Conserve Installation:

Without git:

  1. Go to temporary directory:
    cd /tmp
  2. Download ZIP archive from GitHub:
    wget https://github.com/nixargh/conserve/archive/master.zip
  3. Unpack archive:
    unzip ./master.zip
  4. Change directory to conserve root:
    cd ./conserve-master/

With git:

  1. Install git if don't have it.
  2. Go to temporary directory:
    cd /tmp
  3. Clone Conserve repository from GitHub:
    git clone https://github.com/nixargh/conserve.git
  4. Change directory to conserve root:
    cd ./conserve

Common steps:

  1. Run Conserve installation script:
    ./install.sh
    Script will:
    • copy ./conserve file to /usr/sbin
    • copy files with diferent classes from ./lib to /usr/lib/conserve
    • copy logrotate config file ./conserve.lr to /etc/logrotate.d
    • create directory for config files /etc/conserve
    • copy email reporter configuration file ./inform.conf to /etc/conserve (if it was in installation directory)
    • copy file with credentials to smb share - ./cred (if it was in installation directory)
  2. Test run. You should see Conserve version:
    conserve -v
  3. You can get information about command line options of Conserve:
    conserve -h

You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.